package com.sf._10_arrayList;

import java.util.ArrayList;
import java.util.List;

public class Test {
    public static void main(String[] args) {
        /**
         * 创建list
         * new ArrayList();
         */
        List<String> list = new ArrayList<>();
        list.add("zhangsan");
        list.add("lisi");
        list.add("wangwu");

        /**
         * 集合.add(元素内容);
         */
        System.out.println(list);
        /**
         * 集合.remove(索引)
         */
//        list.remove(0);
        list.remove("lisi");
        System.out.println(list);


        List<Integer> list1 = new ArrayList<>();
        list1.add(1);
        list1.add(2222);
        list1.add(3);
        list1.add(4);
        /**
         * 传递的参数是索引
         * remove(int 类型)
         */
//        list1.remove(new Integer(2222));
        /**
         * 集合名字.set(索引,修改元素内容)
         */
        list1.set(2,555);
        System.out.println(list1);
        /**
         * size() 查询集合大小
         * get(int index);
         */
        System.out.println("集合大小"+ list1.size());
        System.out.println("索引为0内容为:"+ list1.get(0));


        List<Student> students = new ArrayList<>();
//        students.add(new Student("zhangsan",10));
//        students.add(new Student("lisi",10));
//        students.add(new Student("wangwu",10));
        System.out.println(students);

    }
}
